[FOLLOWUP][BUGFIX] Fix PHP warning in shouldFieldBeOverlaid()